DEBCONF-COPYDB.ES.1(1)

NOMBRE
debconf-copydb - Copia una base de datos de debconf

SINOPSIS
 debconf-copydb base-de-datos_origen base-de-datos_destino [--pattern=patrón] [--owner-pattern=patrón] [--config=Foo:bar]

DESCRIPCIÓN
debconf-copydb copia elementos de una base de datos existente a otra, posiblemente nueva. Puede que el formato de las dos bases de datos sea distinto; en este caso, se hará una conversión automática.

OPCIONES

base-de-datos_origen
    En nombre de la base de datos original. Habitualmente, se definirá en el fichero «debconf.conf» (o «.debconfrc»).

base-de-datos_destino
    El nombre de la base de datos destino. Se puede definir en «debconf.conf» o «.debconfrc», o lo puede especificar en la línea de órdenes (véase más abajo).

-p patrón, --patrón patrón
    Si se define, sólo se copiarán los elementos de la base-de-datos_origen cuyo nombre coincida con el patrón.

--owner-pattern patrón
    Si se define, sólo se copiarán los elementos de la base-de-datos_origen cuyos propietarios coincidan con el patrón.

-c foo:bar, --config Foo:bar
    Define la opción Foo a bar. Esto es similar a escribir:

      Foo: bar

    en «debconf.conf», a excepción de que posiblemente quiera omitir el espacio en la línea de órdenes (o use comillas: "Foo:bar"). Habitualmente, querrá usar esto varias veces para construir una definición de configuración completa. Mientras que se usan líneas en blanco para separar las definiciones en «debconf.conf», este programa asume que "Name:dbname" (nombre: nombre-base-de-datos) denota el principio de una definición nueva.

EJEMPLOS
  debconf-copydb configdb backup

Copia toda su configuración de la base de datos («configdb») a la copia de respaldo («backup»), suponiendo que ya tiene una base de datos de respaldo definida en «debconf.conf».

  debconf-copydb configdb newdb --pattern='^slrn/' \
        --config=Name:newdb --config=Driver:File \
        --config=Filename:newdb.dat

Copia los datos de slrn desde «configdb» a «newdb» (base de datos nueva). «newdb» no este definido en el fichero de configuración, así que la opción «--config» define la base de datos en el momento.

  debconf-copydb configdb stdout -c Name:stdout -c Driver:Pipe \
        -c InFd:none --pattern='^foo/'

Muestra todos los elementos en la base de datos de debconf relacionados con el paquete «foo».

  debconf-copydb configdb pipe --config=Name:pipe \
                --config=Driver:Pipe --config=InFd:none | \
        ssh remotehost debconf-copydb pipe configdb \
                --config=Name:pipe --config=Driver:Pipe

Esto hace uso del controlador de fines específicos «pipe» (tubería) para copiar una base de datos a un sistema remoto.

VÉASE TAMBIÉN
debconf.conf(5)

AUTOR
Joey Hess <joeyh@debian.org>

TRADUCCIÓN
Omar Campagne Polaino <ocampagne@gmail.com>, 2010

Si encuentra un fallo en la traducción, por favor, informe de ello en la lista de traducción <debian-l10n-spanish@lists.debian.org>.